summaryrefslogtreecommitdiff
path: root/recipes/images/files/colibri-vf
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/images/files/colibri-vf')
-rw-r--r--recipes/images/files/colibri-vf/colibri-vf_bin/flash_blk.scr6
-rw-r--r--recipes/images/files/colibri-vf/colibri-vf_bin/flash_eth.scr6
-rw-r--r--recipes/images/files/colibri-vf/colibri-vf_bin/flash_mmc.scr3
l---------recipes/images/files/colibri-vf/colibri-vf_bin/fwd_blk.scr1
l---------recipes/images/files/colibri-vf/colibri-vf_bin/fwd_eth.scr1
l---------recipes/images/files/colibri-vf/colibri-vf_bin/fwd_mmc.scr1
-rwxr-xr-xrecipes/images/files/colibri-vf/update.sh20
7 files changed, 22 insertions, 16 deletions
diff --git a/recipes/images/files/colibri-vf/colibri-vf_bin/flash_blk.scr b/recipes/images/files/colibri-vf/colibri-vf_bin/flash_blk.scr
index 5a00983..5c27563 100644
--- a/recipes/images/files/colibri-vf/colibri-vf_bin/flash_blk.scr
+++ b/recipes/images/files/colibri-vf/colibri-vf_bin/flash_blk.scr
@@ -1,9 +1,9 @@
setenv create_bcb 'nand erase.part vf-bcb && writebcb 0x20000 0x20000'
-setenv update_configblock 'fatload ${interface} 0:1 ${loadaddr} configblock.bin && nand write ${loadaddr} 0x800 ${filesize}'
+setenv update_configblock 'fatload ${interface} 0:1 ${loadaddr} ${board_name}/configblock.bin && nand write ${loadaddr} 0x800 ${filesize}'
setenv prepare_rootfs 'ubi part ubi && ubi check rootfs || ubi create rootfs'
-setenv update_uboot 'fatload ${interface} 0:1 ${loadaddr} u-boot-nand.imx && nand erase.part u-boot && nand erase.part u-boot-env && nand write ${loadaddr} u-boot'
-setenv update_rootfs 'fatload ${interface} 0:1 ${loadaddr} ubifs.img && run prepare_rootfs && ubi write ${loadaddr} rootfs ${filesize}'
+setenv update_uboot 'fatload ${interface} 0:1 ${loadaddr} ${board_name}/u-boot-nand.imx && nand erase.part u-boot && nand erase.part u-boot-env && nand write ${loadaddr} u-boot'
+setenv update_rootfs 'fatload ${interface} 0:1 ${loadaddr} ${board_name}/ubifs.img && run prepare_rootfs && ubi write ${loadaddr} rootfs ${filesize}'
setenv update_new 'run update_uboot; run update_rootfs; reset'
diff --git a/recipes/images/files/colibri-vf/colibri-vf_bin/flash_eth.scr b/recipes/images/files/colibri-vf/colibri-vf_bin/flash_eth.scr
index f7e9709..776649e 100644
--- a/recipes/images/files/colibri-vf/colibri-vf_bin/flash_eth.scr
+++ b/recipes/images/files/colibri-vf/colibri-vf_bin/flash_eth.scr
@@ -1,9 +1,9 @@
setenv create_bcb 'nand erase.part vf-bcb && writebcb 0x20000 0x20000'
-setenv update_configblock 'tftpboot ${loadaddr} configblock.bin && nand write ${loadaddr} 0x800 ${filesize}'
+setenv update_configblock 'tftpboot ${loadaddr} ${board_name}/configblock.bin && nand write ${loadaddr} 0x800 ${filesize}'
setenv prepare_rootfs 'ubi part ubi && ubi check rootfs || ubi create rootfs'
-setenv update_uboot 'tftpboot ${loadaddr} u-boot-nand.imx && nand erase.part u-boot && nand erase.part u-boot-env && nand write ${loadaddr} u-boot'
-setenv update_rootfs 'tftpboot ${loadaddr} ubifs.img && run prepare_rootfs && ubi write ${loadaddr} rootfs ${filesize}'
+setenv update_uboot 'tftpboot ${loadaddr} ${board_name}/u-boot-nand.imx && nand erase.part u-boot && nand erase.part u-boot-env && nand write ${loadaddr} u-boot'
+setenv update_rootfs 'tftpboot ${loadaddr} ${board_name}/ubifs.img && run prepare_rootfs && ubi write ${loadaddr} rootfs ${filesize}'
setenv update_new 'run update_uboot; run update_rootfs; reset'
diff --git a/recipes/images/files/colibri-vf/colibri-vf_bin/flash_mmc.scr b/recipes/images/files/colibri-vf/colibri-vf_bin/flash_mmc.scr
deleted file mode 100644
index e0770a0..0000000
--- a/recipes/images/files/colibri-vf/colibri-vf_bin/flash_mmc.scr
+++ /dev/null
@@ -1,3 +0,0 @@
-setenv interface mmc
-fatload ${interface} 0:1 ${loadaddr} flash_blk.img
-source ${loadaddr}
diff --git a/recipes/images/files/colibri-vf/colibri-vf_bin/fwd_blk.scr b/recipes/images/files/colibri-vf/colibri-vf_bin/fwd_blk.scr
new file mode 120000
index 0000000..5954646
--- /dev/null
+++ b/recipes/images/files/colibri-vf/colibri-vf_bin/fwd_blk.scr
@@ -0,0 +1 @@
+../../library/fwd_blk.scr \ No newline at end of file
diff --git a/recipes/images/files/colibri-vf/colibri-vf_bin/fwd_eth.scr b/recipes/images/files/colibri-vf/colibri-vf_bin/fwd_eth.scr
new file mode 120000
index 0000000..decc214
--- /dev/null
+++ b/recipes/images/files/colibri-vf/colibri-vf_bin/fwd_eth.scr
@@ -0,0 +1 @@
+../../library/fwd_eth.scr \ No newline at end of file
diff --git a/recipes/images/files/colibri-vf/colibri-vf_bin/fwd_mmc.scr b/recipes/images/files/colibri-vf/colibri-vf_bin/fwd_mmc.scr
new file mode 120000
index 0000000..3848cfa
--- /dev/null
+++ b/recipes/images/files/colibri-vf/colibri-vf_bin/fwd_mmc.scr
@@ -0,0 +1 @@
+../../library/fwd_mmc.scr \ No newline at end of file
diff --git a/recipes/images/files/colibri-vf/update.sh b/recipes/images/files/colibri-vf/update.sh
index 7212fe0..1205017 100755
--- a/recipes/images/files/colibri-vf/update.sh
+++ b/recipes/images/files/colibri-vf/update.sh
@@ -104,6 +104,12 @@ if [ "$OUT_DIR" = "" ] && [ "$UBOOT_RECOVERY" = "0" ] ; then
exit 0
fi
+# is OUT_DIR an existing directory?
+if [ ! -d "$OUT_DIR" ] ; then
+ echo "$OUT_DIR" "does not exist, exiting"
+ exit 1
+fi
+
# auto detect MODTYPE from rootfs directory
if [ -f rootfs/etc/issue ] ; then
CNT=`grep -c "VF" rootfs/etc/issue || true`
@@ -111,8 +117,8 @@ if [ -f rootfs/etc/issue ] ; then
echo "Colibri VF rootfs detected"
MODTYPE=colibri-vf
IMAGEFILE=ubifs.img
-
LOCPATH="vf_flash"
+ OUT_DIR="$OUT_DIR/colibri_vf"
fi
fi
@@ -136,12 +142,6 @@ if [ "$UBOOT_RECOVERY" -eq 1 ] ; then
exit 0
fi
-# is OUT_DIR an existing directory?
-if [ ! -d "$OUT_DIR" ] ; then
- echo "$OUT_DIR" "does not exist, exiting"
- exit 1
-fi
-
#sanity check for correct untared rootfs
DEV_OWNER=`ls -ld rootfs/dev | awk '{print $3}'`
if [ "${DEV_OWNER}x" != "rootx" ]
@@ -178,8 +178,14 @@ basename "`readlink -e ${BINARIES}/u-boot.imx`" >> ${BINARIES}/versions.txt
$ECHO -n "Rootfs " >> ${BINARIES}/versions.txt
grep VF rootfs/etc/issue >> ${BINARIES}/versions.txt
+#create subdirectory for this module type
+sudo mkdir -p "$OUT_DIR"
+
#copy to $OUT_DIR
sudo cp ${BINARIES}/u-boot-nand.imx ${BINARIES}/ubifs.img ${BINARIES}/flash*.img ${BINARIES}/versions.txt "$OUT_DIR"
+sudo cp ${BINARIES}/fwd_blk.img "$OUT_DIR/../flash_blk.img"
+sudo cp ${BINARIES}/fwd_eth.img "$OUT_DIR/../flash_eth.img"
+sudo cp ${BINARIES}/fwd_mmc.img "$OUT_DIR/../flash_mmc.img"
#cleanup intermediate files
sudo rm ${BINARIES}/ubifs.img ${BINARIES}/versions.txt
sync